package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel
public class DrpProductionPlanDetail {
   @ApiModelProperty("生产计划明细id")
   private Long productionDetailId;
   @ApiModelProperty("生产计划单号")
   private String productionPlanId;
   @ApiModelProperty("详情日期")
   private LocalDate detailDate;
   @ApiModelProperty("餐次类型(1早餐2午餐3下午茶4晚餐5宵夜)")
   private Integer mealtimeType;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品份数(按份)")
   private Integer dishesNum;

   public Long getProductionDetailId() {
      return this.productionDetailId;
   }

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public LocalDate getDetailDate() {
      return this.detailDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getDishesNum() {
      return this.dishesNum;
   }

   public DrpProductionPlanDetail setProductionDetailId(final Long productionDetailId) {
      this.productionDetailId = productionDetailId;
      return this;
   }

   public DrpProductionPlanDetail setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
      return this;
   }

   public DrpProductionPlanDetail setDetailDate(final LocalDate detailDate) {
      this.detailDate = detailDate;
      return this;
   }

   public DrpProductionPlanDetail setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
      return this;
   }

   public DrpProductionPlanDetail setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public DrpProductionPlanDetail setDishesNum(final Integer dishesNum) {
      this.dishesNum = dishesNum;
      return this;
   }
}
